## ufw 0.16.2

=== debian/changelog ===
ufw (0.16.2) hardy; urgency=low

  * don't log noisy services by default (LP: #209709)
  * don't log INVALID packets by default (LP: #207156)
  * consult /etc/services for protocol (LP: #209845)
    - src/ufw added get_services_proto() and adjust process_args() to use it
    - ufw.8 updated
    - tests added and updated for verification
  * bump version

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 31 Mar 2008 15:21:17 -0400

ufw (0.16.1) hardy; urgency=low

  * debian/rules: use 'g' with sed when stripping paths (LP: #207476)
  * debian/control: set maintainer back to me
  * debian/control: set Vcs to the hardy branch
  * debian/control: Standards-Version: 3.7.3

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 27 Mar 2008 09:15:25 -0400

ufw (0.16) hardy; urgency=low

  * bump version
  * fix tests for when ipv6 is blacklisted (fix FTBFS on Ubuntu buildd)
  * adjust root tests for new output

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 11 Mar 2008 16:11:59 -0400

ufw (0.15) hardy; urgency=low

  * fix man page typo
  * debian/control: added Homepage (LP: #199722)
  * fix python version check (upstream #199790)
  * properly handle when ipv6 is not loaded or blacklisted (LP: #199724)
  * man page fixes
  * clarify 'status' output (LP: #199873)
  * fix ipv6 stateless autoconfiguration (upstream #200921)

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 08 Mar 2008 07:36:04 -0500

ufw (0.14) hardy; urgency=low

  * conf/initscript
    - move sysctl to after rules load (LP: #192123)
    - don't make sysctl and modprobe failures fatal (LP: #197285)
    - make output less verbose and fix formatting (LP: #198211)
  * debian/rules: update setup.py version with changelog version
  * debian/control
    - update maintainer to Ubuntu Core Developers
    - add Vcs-Bzr url

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 15 Feb 2008 08:56:24 -0500

ufw (0.13) hardy; urgency=low

  * added ipv6 and (commented out) forwarding entries in sysctl.conf

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 13 Feb 2008 22:31:47 -0500

ufw (0.12) hardy; urgency=low

  * new upstream version:
    - initscript implements 'stop' as default ACCEPT
    - initscript restart and force-reload now use 'stop' and 'start'
  * debian/postinst: stop on runlevels 0, 1 and 6
  * debian/postrm: default ACCEPT on purge
  * debian/README.Debian: provide useful notes

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 07 Feb 2008 09:47:10 -0500

ufw (0.11) hardy; urgency=low

  * comply with Ubuntu policy of syncookies off (LP: 189565) 
  * debian/control: Build-Depends on debhelper (>= 5.0.38)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 06 Feb 2008 14:08:36 -0500

ufw (0.10) hardy; urgency=low

  * new upstream version:
    - ipv6 support (LP: 188934)
    - added more tests
    - updated docs
  * updated packaging for ipv6 files
  * fixed email typo (LP: 189418)
  * use ucf for /etc/ufw/*.rules files
  * move ENABLED to ufw.conf

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 05 Feb 2008 22:24:51 -0500

ufw (0.9) hardy; urgency=low

  * new upstream version:
    - bugfix for logging
    - bugfix for default policy

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 29 Jan 2008 06:37:01 -0500

ufw (0.8) hardy; urgency=low

  * new upstream version:
    - use PF-style syntax for extended rule syntax
    - migrate ufw.rules to separate chains and files
  * added debconf note about ufw.rules

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 28 Jan 2008 13:26:10 -0500

ufw (0.7) hardy; urgency=low

  * new version
    - fix two lintian warnings
    - manpage updates
    - fix for buggy get_status

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 24 Jan 2008 11:27:30 +0000

ufw (0.6) hardy; urgency=low

  * debian/control: Build-Depends-Indep on netbase so tests can run in
    buildds

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 23 Jan 2008 16:24:58 +0000

ufw (0.5) hardy; urgency=low

  * update tests for better failure reporting and maintainability 

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 23 Jan 2008 13:14:20 +0000

ufw (0.4) hardy; urgency=low

  * new upstream version
    - supports specifying service from /etc/services
    - requires python 2.5
    - put rules in ufw-* chains
    - status is more user-friendly (but not complete)
    - bug fixes
    - ufw.rules fine-tuning

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 22 Jan 2008 08:01:06 +0000

ufw (0.3) hardy; urgency=low

  * new upstream version:
    - fix licensing
    - PEP8 compliant
    - uses distutils to install
    - now supports /etc/services names

 -- Jamie Strandboge <jamie@ubuntu.com>  Sun, 20 Jan 2008 17:43:03 -0500

ufw (0.2) hardy; urgency=low

  * ufw: actually use DROP instead of DENY
  * typo in README.Debian

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 16 Jan 2008 14:32:06 -0500

ufw (0.1) hardy; urgency=low

  * Initial release

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 07 Jan 2008 20:44:16 -0500
