=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON  := /usr/bin/python
PYVERS  := $(shell pyversions -vr)
UBUVERS := $(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)

build: build-stamp

build-stamp:
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf $(CURDIR)/build
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs usr/share/
	dh_installdirs usr/share/ufw
	dh_installdirs etc/

	# make sure the version is in sync with our changelog
	sed -i "s/^ufw_version = .*/ufw_version = '$(UBUVERS)'/" ./setup.py

	./run_tests.sh
	python ./setup.py install \
		--root=$(CURDIR)/debian/ufw
	rm -rf $(CURDIR)/debian/ufw/usr/lib

	# don't make *.rules conffiles
	mv $(CURDIR)/debian/ufw/etc/ufw/*.rules $(CURDIR)/debian/ufw/usr/share/ufw
	mv $(CURDIR)/debian/ufw/etc/ufw/ufw.conf $(CURDIR)/debian/ufw/usr/share/ufw
	mv $(CURDIR)/debian/ufw/var/lib/ufw/*.rules $(CURDIR)/debian/ufw/usr/share/ufw
	cp $(CURDIR)/debian/*md5sum $(CURDIR)/debian/ufw/usr/share/ufw

	# strip out beginning of path since setup.py doens't support dest-dir
	# yet
	find $(CURDIR)/debian/ufw -type f -exec sed "s#$(CURDIR)/debian/ufw##g" -i {} \;

binary-arch: build

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installdocs README
	dh_installman
	dh_installdebconf

	: # Replace all '#!' calls to python with $(PYTHON)
	: # and make them executable
	for i in `find debian -mindepth 3 -type f`; do \
		sed '1s,#!.*python[^ ]*\(.*\),#! $(PYTHON)\1,' \
			$$i > $$i.temp; \
		if cmp --quiet $$i $$i.temp; then \
			rm -f $$i.temp; \
		else \
			mv -f $$i.temp $$i; \
			chmod 755 $$i; \
			echo "fixed interpreter: $$i"; \
		fi; \
	done

	dh_pycentral
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary instal
