## ufw 0.16.2.3

=== debian/changelog ===
ufw (0.16.2.3) hardy-proposed; urgency=low

  * fix confusing error output when ipv6 or ip6_tables is not available.
    (LP: #194844)
  * fix initscript not setting default ipv6 policy when IPV6=no (LP: #251355)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 11 Jul 2008 18:37:27 -0400

ufw (0.16.2.2) hardy-proposed; urgency=low

  * src/ufw: don't modify the chains when --dry-run is specified. Fixes
    LP: #247352

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 09 Jul 2008 15:24:18 -0400

ufw (0.16.2.1) hardy-proposed; urgency=low

  * prevent traceback with dotted decimal netmasks (LP: #224842)
  * update tests to test for more valid and invalid netmasks

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 23 Apr 2008 09:52:02 -0400
