## ufw 0.23.2

=== debian/changelog ===
ufw (0.23.2) intrepid; urgency=low

  * fix typo in error message (LP: #280348)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 07 Oct 2008 09:22:34 -0500

ufw (0.23.1) intrepid; urgency=low

  * debian/postrm: don't fail if iptables or ip6tables fails (LP: #278670)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 29 Sep 2008 13:43:11 -0500

ufw (0.23) intrepid; urgency=low

  * show protocol in status when no ports are specified (LP: #263308)
  * update after*.rules when setting default policy (LP: #273278)
  * give useful message when trying to delete a non-existent rule (LP: #251136)
  * don't print useless newlines
  * add 'translations' support to Makefile (but don't use it in build yet)
  * updated README for advanced usage
  * updated TODO
  * References
    LP: #275984

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 29 Sep 2008 11:52:53 -0500

ufw (0.22) intrepid; urgency=low

  * fix confusing output of 'app update' command (LP: #261932)
  * only reload during 'app update' if the profile name is used in
    the current ruleset (LP: #261323)
  * don't reload user rules if not enabled and don't toggle ENABLED=yes if
    failure in starting the firewall (LP: #262451)
  * don't traceback if /proc not mounted (LP: #268084)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 27 Aug 2008 11:51:14 -0500

ufw (0.21) intrepid; urgency=low

  * add confirmation on enable when running under ssh (LP: #253840)
  * don't reload the firewall on 'app update' when running under ssh
  * update ufw.pot
  * fix some pygettext errors
  * warn if profile name is found in /etc/services
  * don't delete application rules when the action doesn't match
    (LP: #260881)
  * add reload command
  * added debian/triggers and update debian/postinst for use with dpkg
    triggers (thanks Colin Watson for the suggestion)
  * add 'app update all' command
  * update man page for reload and 'app update all'

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 18 Aug 2008 20:22:32 -0400

ufw (0.20) intrepid; urgency=low

  * add 'verbose' option to status command
  * implement application (package) integration
  * update run_tests.sh to honor subclass
  * debian/control: Depends on iptables >= 1.4.0 for ipv6 comment support

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 07 Aug 2008 12:04:05 -0400

ufw (0.19) intrepid; urgency=low

  * don't modify the chains when --dry-run is specified (LP: #247352)
  * add dotted netmask support
  * don't have util.py import common.py
  * normalize rules so what is added to chains and what is displayed to the
    user is consistent (LP: #237446)
  * documentation updates (LP: #247177)
  * implement port ranges (LP: #231103)
  * fix initscript to properly set default DROP when ipv6 is available and
    set to 'no' in /etc/default/ufw (LP: #251355)
  * don't give confusing output when ipv6 and/or ip6_tables is not
    available (LP: #194844)
  * update ucf historical checksums to include those in 0.16.2
  * update manpage for 'status' clarifications (LP: #251153)
  * update before*.rules to count outgoing packets on lo (LP: #255092)
  * update status output so it is more consistent with rule syntax

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 07 Jul 2008 16:22:45 -0400

ufw (0.18) intrepid; urgency=low

  * bump version
  * src/ufw: make reusable
  * src/ufw: show default policy and logging in 'status' (LP: #240271)
  * refactor code and split out into modules:
    - updated src/*
    - updated setup.py
    - updated run_tests.sh
    - updated README
    - updated README.translations and messages/ufw.pot
    - updated README.Design
  * properly implement --root and --home (LP: #231771):
    - setup.py: --root works as expected now (eg as DESTDIR in Debian)
    - updated run_test.sh for new setup.py
    - updated README.Debian for now setup.py
  * add new 'limit' command for connection rate limiting:
    - updated src/*
    - updated README and ufw.8
    - updated messages/ufw.pot
    - updated tests for limit

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 12 Jun 2008 10:28:36 -0400

ufw (0.17) intrepid; urgency=low

  * implement status in initscript
  * warn on group/world writable and wrong owner files in _do_checks()
  * debian/rules: use 'g' with sed when stripping paths (LP: #207476)
  * debian/control: Standards-Version: 3.7.3
  * don't log INVALID packets by default (LP: #207156)
  * don't log noisy services by default (LP: #209709)
  * consult /etc/services for protocol (LP: #209845)
  * manpage updates
  * add internationalization support
  * prevent traceback with dotted decimal netmasks (LP: #224842)
  * update tests to test for more valid and invalid netmasks
  * adjust conf/sysctl.conf to have clear message regarding /etc/sysctl.conf
  * adjust conf/sysctl.conf to have explanations for the tunables (taken from
    procps)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 12 Mar 2008 16:11:22 -0400
