=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	dh_testroot
 	rm -f build-stamp
 	rm -rf $(CURDIR)/build
+	-find . -name '*.py[co]' | xargs rm -f
 	dh_clean 
 
 install: build
@@ -35,17 +36,12 @@
 	./run_tests.sh
 	python ./setup.py install \
 		--root=$(CURDIR)/debian/ufw
-	rm -rf $(CURDIR)/debian/ufw/usr/lib
 
 	# don't make *.rules conffiles
 	mv $(CURDIR)/debian/ufw/etc/ufw/*.rules $(CURDIR)/debian/ufw/usr/share/ufw
 	mv $(CURDIR)/debian/ufw/etc/ufw/ufw.conf $(CURDIR)/debian/ufw/usr/share/ufw
 	mv $(CURDIR)/debian/ufw/var/lib/ufw/*.rules $(CURDIR)/debian/ufw/usr/share/ufw
 	cp $(CURDIR)/debian/*md5sum $(CURDIR)/debian/ufw/usr/share/ufw
-
-	# strip out beginning of path since setup.py doens't support dest-dir
-	# yet
-	find $(CURDIR)/debian/ufw -type f -exec sed "s#$(CURDIR)/debian/ufw##g" -i {} \;
 
 binary-arch: build
