=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 5.0.38)
 Standards-Version: 3.7.3
 Homepage: https://launchpad.net/ufw
-Vcs-Bzr: https://bazaar.launchpad.net/~jamie-strandboge/ufw/trunk
+Vcs-Bzr: https://bazaar.launchpad.net/~jamie-strandboge/ufw/ufw-0.23-intrepid
 
 Package: ufw
 Architecture: all
