## ufw 0.29

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SRCS     = src/ufw $(wildcard src/*.py)
-POTFILES = messages/ufw.pot
+POTFILES = locales/po/ufw.pot
 TMPDIR   = ./tmp
 EXCLUDES = --exclude='.bzr*' --exclude='*~' --exclude='*.swp' --exclude='*.pyc' --exclude='debian' --exclude='ubuntu'
 VERSION  = $(shell egrep '^ufw_version' ./setup.py | cut -d "'" -f 2)
@@ -8,18 +8,23 @@
 TARSRC   = $(TARBALLS)/$(SRCVER)
 TARDST   = $(TARBALLS)/$(SRCVER).tar.gz
 
-translations: $(POTFILES)
-$(POTFILES): $(SRCS)
-	pygettext -v -d ufw -p messages -S GNU $(SRCS)
-
-test:
-	./run_tests.sh -s
-
 all:
 	# Use setup.py to install. See README for details
 	exit 1
 
 install: all
+
+translations: $(POTFILES)
+$(POTFILES): $(SRCS)
+	xgettext -d ufw -L Python -o $@ $(SRCS)
+	make -c po/Makefile all
+
+mo:
+	make -C locales all
+
+test:
+	./run_tests.sh -s
+
 
 # These are only used in development
 clean:
@@ -31,6 +36,7 @@
 evaluate: clean
 	mkdir -p $(TMPDIR)/ufw/usr $(TMPDIR)/ufw/etc
 	python ./setup.py install --home=$(TMPDIR)/ufw
+	PYTHONPATH=$(PYTHONPATH):$(TMPDIR)/ufw/lib/python $(TMPDIR)/ufw/usr/sbin/ufw version
 	sed -i 's/self.do_checks = True/self.do_checks = False/' $(TMPDIR)/ufw/lib/python/ufw/backend.py
 	cp ./examples/* $(TMPDIR)/ufw/etc/ufw/applications.d
 	# Test with:
