## ufw 0.30pre1

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,6 @@
 translations: $(POTFILES)
 $(POTFILES): $(SRCS)
 	xgettext -d ufw -L Python -o $@ $(SRCS)
-	make -c po/Makefile all
 
 mo:
 	make -C locales all
@@ -32,6 +31,7 @@
 	rm -rf ./staging
 	rm -rf ./tests/testarea
 	rm -rf $(TMPDIR)
+	rm -f ./locales/mo/*.mo
 
 evaluate: clean
 	mkdir -p $(TMPDIR)/ufw/usr $(TMPDIR)/ufw/etc
