## ufw 0.31.1

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 TARBALLS = ../tarballs
 TARSRC   = $(TARBALLS)/$(SRCVER)
 TARDST   = $(TARBALLS)/$(SRCVER).tar.gz
+PYFLAKES = $(TMPDIR)/pyflakes.out
+PYFLAKES_EXE = pyflakes
 
 all:
 	# Use setup.py to install. See README for details
@@ -24,6 +26,24 @@
 test:
 	./run_tests.sh -s
 
+syntax-check: clean
+	$(shell mkdir $(TMPDIR) && $(PYFLAKES_EXE) src 2>&1 | grep -v "undefined name '_'" > $(PYFLAKES))
+	cat "$(PYFLAKES)"
+	test ! -s "$(PYFLAKES)"
+
+man-check: clean
+	$(shell mkdir $(TMPDIR) 2>/dev/null)
+	for manfile in `ls doc/*.8`; do \
+		page=$$(basename $$manfile); \
+		manout=$(TMPDIR)/$$page.out; \
+		echo "Checking $$page for errors... "; \
+		PAGER=cat LANG='en_US.UTF-8' MANWIDTH=80 man --warnings -E UTF-8 -l doc/$$page >/dev/null 2> "$$manout"; \
+		cat "$$manout"; \
+		test ! -s "$$manout" || exit 1; \
+		echo "PASS"; \
+	done; \
+
+check: syntax-check man-check test
 
 # These are only used in development
 clean:
@@ -48,9 +68,9 @@
 	cp -f ./tests/defaults/profiles.bad/* $(TMPDIR)/ufw/etc/ufw/applications.d
 
 debug: devel
-	sed -i 's/debugging = False/debugging = True/' $(TMPDIR)/ufw/lib/python/ufw/util.py
+	sed -i 's/DEBUGGING = False/DEBUGGING = True/' $(TMPDIR)/ufw/lib/python/ufw/util.py
 
-tarball: clean translations
+tarball: syntax-check clean translations
 	bzr export --format dir $(TARSRC)
 	tar -zcv -C $(TARBALLS) $(EXCLUDES) -f $(TARDST) $(SRCVER)
 	rm -rf $(TARSRC)
