=== debian/changelog ===
ufw (0.31.1-2) unstable; urgency=low

  * Simplify unload of firewall and play nicely with other firewall tools by
    using ufw-init instead of iptables directly. 'ufw-init stop' by design
    leaves a few empty chains around, but they won't get in the way of
    anything and are gone after the next reboot. Using upstream's ufw-init has
    the important benefit of always cleaning what it needs. (Closes: 672439).
    - debian/prerm: call '/lib/ufw/ufw-init stop' on removal
    - debian/postrm: don't flush the chains on purge

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 20 Jul 2012 15:05:39 -0500

ufw (0.31.1-1) unstable; urgency=low

  * New upstream release (Closes: 663677, Closes: 625681)
  * debian/control: update to standards 3.9.3
  * convert to source format 3.0 (quilt)
  * 0001-optimize-boot.patch: only read in /etc/ufw/ufw.conf when disabled
  * debian/rules: adjust to only install the application profiles when not
    Ubuntu
  * debian/po/nl.po: add Dutch translation of debconf templates. Thanks to
    Jeroen Schot (Closes: 658495)
  * debian/po/da.po: add Danish translation of debconf templates. Thanks to
    Joe Dalton (Closes: 666557)

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 04 Apr 2012 12:12:25 -0500

ufw (0.30.1-2) unstable; urgency=low

  * debian/control: make lintian clean:
    - update Standards-Version to 3.9.2
    - Build-Depends on python (>= 2.6.6-3~)
  * conf/ufw.defaults:
    - remove IRC connection tracking, which is only required for DCC.
      Cherrypick r741 from trunk
    - allow nf_conntrack_netbios_ns (Samba). Cherrypick r744 from trunk.
      LP: #360975 (Closes: 631737)
  * enable IPv6 by default and fix 'allow to any ipv6' when IPv6 is enabled.
    Cherrypick r742 from trunk.
  * update manpage references to ufw and ufw-framework to include the section.
    Cherrypick r743 from trunk.
  * ACCEPT UPnP (239.255.255.250 for IPv4 and ff02::f for IPv6) for service
    discovery just like we do for mDNS (ie, allow discovery, but not
    connections to the services). LP: #764933
  * debian/ufw.logrotate.debian, debian/ufw.logrotate.ubuntu, debian/rules:
    use 'rotate' option in Debian logrotate file and split out ufw.logrotate
    like we do the initscript since because Ubuntu's rsyslog doesn't have the
    'rotate' option yet. (Closes: 628605)
  * Cherrypick r746 from trunk to update check-requirements to prompt to
    continue with tests that may autoload modules. Add '-f' option to
    check-requirements and update test suite accordingly (LP: #782816)
  * Cherrypick r747 from trunk to not fail when running 'show listening' under
    fakeroot (LP: #812516)
  * debian/postinst:
    - remove some old upgrade transition code for unsupported upgrade paths
    - reload ufw if it is enabled and we are upgrading to this version since
      this is needed after enabling IPv6
  * debian/rules: add build-arch and build-indep targets

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 18 Jul 2011 16:35:57 -0500

ufw (0.30.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:46 +0200

ufw (0.30.1-1) unstable; urgency=low

  * New upstream release which fixes the following:
    - LP: #501140
    - LP: #740249
    - LP: #740256
    - LP: #720605
  * debian/ufw.logrotate: remove upstartism thanks to Michael Biebl
    (Closes: 607696)
  * debian/sysctl.conf: merge in upstream (commented out) changes surrounding
    ipv6 forwarding and privacy addresses
  * debian/before*.rules.md5sum: updated for recent changes

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 21 Mar 2011 14:45:03 -0500

ufw (0.30.0-3) unstable; urgency=low

  * convert to dh_python2:
    - debian/control: remove python-central dependency
    - debian/rules: use dh_python2 instead of dh_pycentral
  * debian/rules: run 'make clean' in the clean target
  * debian/ufw.init.debian: look for /lib/ufw, not /usr/sbin/ufw to see if we
    should quit (ie, when ufw is removed and not purged). Also, only have
    /bin and /sbin in PATH
  * add lintian override
    - debian/rules: add dh_lintian
    - debian/dirs: add usr/share/lintian/overrides
    - ignore init.d-script-possible-missing-stop
  * debian/install, debian/rules: update to use debian/install primarily
  * renamed debian/changelog.pre-0.27.1 to debian/changelog.Debian.pre-0.27.1
  * no longer install upstream ChangeLog.pre-0.25
  * grab man page updates from upstream:
    - mention quoting of application profile names with spaces. Upstream
      r714. (LP: #715676)
    - fix man-page hyphenation in ufw.8. Upstream r716.
    - fix manpage reference to /etc/defaults/ufw. Upstream r713.
      (Closes: 601111)
  * fix typo in warning. Upstream r711. (LP: #637876)
  * run_tests.sh: adjust PATH if iptables can't be found. Upstream r717.

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 23 Feb 2011 08:10:55 -0600

ufw (0.30.0-2) unstable; urgency=low

  * src/frontend.py: display unicode error messages properly. Thanks to
    Serguey Basalaev.
    - upstream commit r700
    - LP: #580032
  * src/backend_iptables.py: fix gettext warning
    - upstream commit r701
  * run debconf-updatepo, but adjust debian/po/de.po and debian/po/es.po to
    add correct "Language:" tag
  * profiles/ufw-mailserver: remove Postfix specific language
    - upstream commit r705, r707
  * debian/rules: do install the upstream application profiles now

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 30 Aug 2010 13:50:15 -0500

ufw (0.30.0-1) unstable; urgency=low

  * New upstream release. Use 0.30.0 as the version even though upstream uses
    0.30 in order to sync to Ubuntu. Fixes:
    - LP: #568877
    - LP: #611982
    - LP: #606997
    - LP: #624199
    - LP: #625340
    - LP: #521359
    - LP: #436608
  * don't flush chains if ufw is not enabled (LP: #581744)
  * debian/postinst: don't source /usr/share/debconf/confmodule when $1 =

