=== debian/changelog ===
ufw (0.33-0ubuntu2.1) quantal-proposed; urgency=low

  * debian/patches/0004-lp1039729.patch: Skip get_netfilter_capabilities()
    with ipv6 if ipv6 is disabled (LP: #1039729)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 04 Dec 2012 09:28:20 -0600

ufw (0.33-0ubuntu2) quantal; urgency=low

  * debian/patches/0002-lp1044361.patch: move netfilter capabilities checking
    into initcaps(), and call initcaps() only when we need it (LP: #1044361)
  * 0003-fix-typeerror-on-error.patch: fix TypeError on error when using zh_CN

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 24 Sep 2012 08:52:57 -0500

ufw (0.33-0ubuntu1) quantal; urgency=low

  * New upstream release. Fixes the following bugs:
    - also use correct ports for DHCPv6. Thanks to Marco Davids (LP: #1007326)
    - add IPv6 limit support (LP: #951462)
    - add zh_TW translation (LP: #868195)
    - add 'show added' report (LP: #987784)
    - remove ACCEPT_NO_TRACK option since it never worked (LP: #787955)
  * debian/(after|before)6.rules.md5sum: adjust for recently missed shipped
    configurations

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 17 Aug 2012 14:32:01 -0500

ufw (0.32-0ubuntu2) quantal; urgency=low

  * Simplify unload of firewall and play nicely with other firewall tools by
    using ufw-init instead of iptables directly. 'ufw-init stop' by design
    leaves a few empty chains around, but they won't get in the way of
    anything and are gone after the next reboot. Using upstream's ufw-init has
    the important benefit of always cleaning what it needs. (Closes: 672439).
    - debian/ufw.prerm: call '/lib/ufw/ufw-init stop' on removal
    - debian/ufw.postrm: don't flush the chains on purge

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 20 Jul 2012 13:00:35 -0500

ufw (0.32-0ubuntu1) quantal; urgency=low

  * New upstream release featuring Python 3 port (LP: #1001657)
  * debian/control:
    - clean up Depends and Build-Depends
    - Build-Depends on python3
    - add python-ufw for installing python2 modules
    - add X-Python3-Version: >= 3.2
    - update Vcs-Bzr
  * add debian/python-ufw.install
  * debian/rules:
    - use --install-layout=deb
    - adjust PYTHON to use python3
    - adjust PYVERS to use py3versions
    - add PYTHON2
    - run tests for both PYTHON and PYTHON2
    - run setup.py with both PYTHON and PYTHON2
    - use dh_python3 for ufw
    - use dh_python2 for python-ufw
  * debian/ufw.lintian-overrides
    - remove old unneeded override
    - add postrm-does-not-call-updaterc.d-for-init.d-script since Ubuntu's
      debhelper adds code to postinst that does nothing on Ubuntu, but doesn't
      add the corresponding code to postrm

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 06 Jul 2012 11:44:48 -0500
