=== debian/watch ===
version=3
http://launchpad.net/ufw/+download/ http://launchpad.net/ufw/.*/ufw-(.*)\.tar\.gz
