=== debian/changelog ===
ufw (0.34~rc-0ubuntu2) trusty; urgency=medium

  * debian/patches/0002-lp1078665.patch: distinguish between v4 and v6 rules
    when both addresses are 'any' (LP: #1078665). This can be dropped with
    0.34 release.
  * debian/ufw.postinst:
    - drop old reload of policy for upgrades to 0.30.1-2
    - add new ufw[6]-track-forward primary chains on upgrade
  * debian/patches/0003-manpage-hook-path.patch: update locations of hook
    scripts. This can be dropped with 0.34 release.
  * debian/patches/0004-add-safe-icmp-to-forward.patch: update before*.rules
    to add safe icmp to ufw-before-forward. This can be dropped with 0.34
    release.
  * debian/before[6].rules.md5sum: adjusted for new release

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 28 Feb 2014 08:59:13 -0600

ufw (0.34~rc-0ubuntu1) trusty; urgency=medium

  * New upstream pre-release (LP: #1059060, #1065297, #1062521, #1101304,
    LP: #1075975, #1089262, #262421)
  * Dropped the following patches now included upstream:
    - 0002-lp1044361.patch
    - 0003-fix-typeerror-on-error.patch
    - 0004-lp1039729.patch
    - 0005-lp1191197.patch
  * Remaining changes:
    - 0001-optimize-boot.patch: only read in /etc/ufw/ufw.conf when disabled
  * debian/before[6].rules.md5sum: adjusted for new release
  * debian/control: update Standards-Version to 3.9.5
  * debian/rules:
    - only ship /usr/share/ufw/iptables/*rules and not /usr/share/ufw/
    - *.init files should also be config files
  * debian/ufw.links: added to makes symlinks from /usr/share/ufw/iptables/*
    to /usr/share/ufw/ (so ucf is happy on upgrades)
  * debian/ufw.postinst:
    - use TEMPLATE_PATH/iptables/*rules instead of TEMPLATE_PATH/*rules (not
      strictly required since we are using dh_link, but makes the intent
      clearer)
    - copy /usr/share/ufw/*.init in to /etc/ufw

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 20 Feb 2014 09:23:54 -0600

ufw (0.33-2) unstable; urgency=low

  * debian/control: python-ufw should Breaks/Replaces on ufw << 0.32-0ubuntu1
    (Closes: 731863)

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 10 Dec 2013 10:44:48 -0600

ufw (0.33-1) unstable; urgency=low

  * New upstream release (Closes: 711711, Closes: 691135, Closes: 704728).
    Sync back up with Ubuntu (all changes here except for Polish debconf
    translation and Standards-Version already in Ubuntu). Add the following
    patches from Ubuntu which can be dropped in 0.34:
    - debian/patches/0002-lp1044361.patch: move netfilter capabilities
      checking into initcaps(), and call initcaps() only when we need it
    - 0003-fix-typeerror-on-error.patch: fix TypeError on error when using
      zh_CN
    - debian/patches/0004-lp1039729.patch: Skip get_netfilter_capabilities()
      with ipv6 if ipv6 is disabled
    - debian/patches/0005-lp1191197.patch: add check for -m rt --rt-type 0
  * debian/po/pl.po: add Polish translation of debconf templates. Thanks to
    Michal Kulach (Closes: 667942)
  * debian/watch: use https instead of http
  * debian/(after|before)6.rules.md5sum: adjust for recently missed shipped
    configurations
  * debian/control:
    - clean up Depends and Build-Depends
    - Build-Depends on python3
    - add python-ufw for installing python2 modules
    - add X-Python3-Version: >= 3.2
    - update Standards-Version to 3.9.4
  * add debian/python-ufw.install
  * debian/rules:
    - use --install-layout=deb
    - adjust PYTHON to use python3
    - adjust PYVERS to use py3versions
    - add PYTHON2
    - run tests for both PYTHON and PYTHON2
    - run setup.py with both PYTHON and PYTHON2
    - use dh_python3 for ufw
    - use dh_python2 for python-ufw
  * debian/ufw.lintian-overrides
    - remove old unneeded override
    - add postrm-does-not-call-updaterc.d-for-init.d-script since Ubuntu's
      debhelper adds code to postinst that does nothing on Ubuntu, but doesn't
      add the corresponding code to postrm

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 26 Nov 2013 12:51:51 -0600
